# Currently, only android and linux are supported.
# https://github.com/flutter/engine/blob/main/docs/contributing/Compiling-the-engine.md

# todo: release/profile, linux, maybe copy only flutter.jar?

apt update && apt install -y git wget python3 xz-utils pkg-config openjdk-17-jdk
PATH="$PATH:/opt/depot_tools" && git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git /opt/depot_tools
git clone --depth 1 https://github.com/flutter/engine.git /engine
cp .gclient /engine
cd /engine
rm pubspec.yaml
gclient sync

cd src
flutter/tools/gn --unoptimized --runtime-mode=debug
ninja -C out/host_debug_unopt

flutter/tools/gn --android --android-cpu arm64 --unoptimized --runtime-mode=debug
# flutter/tools/gn --android --android-cpu arm64 --runtime-mode=profile
# flutter/tools/gn --android --android-cpu arm64 --runtime-mode=release
ninja -C out/android_debug_unopt_arm64
# ninja -C out/android_profile_arm64
# ninja -C out/android_release_arm64
